Bug 1120244 - [abrt] evolution-data-server: bookview_stop_thread(): evolution-addressbook-factory killed by SIGABRT
Summary: [abrt] evolution-data-server: bookview_stop_thread(): evolution-addressbook-f...
Keywords:
Status: CLOSED DUPLICATE of bug 1134035
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cb72762076f1ab87a2508abba33...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 14:12 UTC by andrew
Modified: 2014-09-03 06:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-01 12:27:00 UTC


Attachments (Terms of Use)
File: backtrace (23.78 KB, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: core_backtrace (14.44 KB, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: dso_list (7.48 KB, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: environ (681 bytes, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: maps (36.88 KB, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: open_fds (972 bytes, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
File: var_log_messages (422 bytes, text/plain)
2014-07-16 14:12 UTC, andrew
no flags Details
requested log for valgrind (511.25 KB, text/plain)
2014-08-22 16:32 UTC, andrew
no flags Details
davmail.log (6.09 KB, text/x-log)
2014-08-22 16:34 UTC, andrew
no flags Details
fresh run . No failure during the search. (239.54 KB, text/plain)
2014-08-22 16:41 UTC, andrew
no flags Details
corresponding davmail log. (9.47 KB, text/x-log)
2014-08-22 16:41 UTC, andrew
no flags Details

Description andrew 2014-07-16 14:12:18 UTC
Description of problem:
invoke evolution.
open an address book.
typed name i wanted  and it crashed.
I connect to MS exchange using DAvMail (latest stable).

Version-Release number of selected component:
evolution-data-server-3.10.4-3.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory
crash_function: bookview_stop_thread
executable:     /usr/libexec/evolution-addressbook-factory
kernel:         3.15.4-200.fc20.x86_64
runlevel:       3 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (2 frames)
 #6 bookview_stop_thread at e-data-book-view.c:247
 #7 g_thread_proxy at gthread.c:798

Potential duplicate: bug 903201

Comment 1 andrew 2014-07-16 14:12:20 UTC
Created attachment 918428 [details]
File: backtrace

Comment 2 andrew 2014-07-16 14:12:20 UTC
Created attachment 918429 [details]
File: cgroup

Comment 3 andrew 2014-07-16 14:12:21 UTC
Created attachment 918430 [details]
File: core_backtrace

Comment 4 andrew 2014-07-16 14:12:22 UTC
Created attachment 918431 [details]
File: dso_list

Comment 5 andrew 2014-07-16 14:12:23 UTC
Created attachment 918432 [details]
File: environ

Comment 6 andrew 2014-07-16 14:12:23 UTC
Created attachment 918433 [details]
File: limits

Comment 7 andrew 2014-07-16 14:12:24 UTC
Created attachment 918434 [details]
File: maps

Comment 8 andrew 2014-07-16 14:12:25 UTC
Created attachment 918435 [details]
File: open_fds

Comment 9 andrew 2014-07-16 14:12:26 UTC
Created attachment 918436 [details]
File: proc_pid_status

Comment 10 andrew 2014-07-16 14:12:27 UTC
Created attachment 918437 [details]
File: var_log_messages

Comment 11 Milan Crha 2014-07-17 06:30:49 UTC
Thanks for a bug report. I see in the backtrace that this crashed due to "double free or corruption (out)" error, which can be caused by some part of the code using already freed memory.

How do you configure the DAVMail addressbook in Evolution, if I recall correctly, then it is provided as WebDAV, right? By any chance, can you reproduce the crash? Or even the memory corruption can happen, but may not strike that heavily (as a crash), in some cases. There can be used valgrind to check for memory issues, if you isntall it, together with debuginfo package for evolution-data-server (make sure the version matches the binary package version), then you can run the addressbook factory under valgrind like this:
   $ G_SLICE=always-malloc valgrind --num-callers=20 \
      /usr/libexec/evolution-addressbook-factory -w &>~/log.txt
then wait few seconds, till the factory is fully on (the CPU usage will get lower again), and then just start using evolution as before. the responses from address book will be significantly slower and the CPU usage will be higher when it'll do anything, but it should help to analyse the issue. Note that the valgrind can avoid certain types of crashes and log about them only, thus even if the factory will not crash after some time of use the log can still contain a valuable information.

Give it a try and upload the log.txt file here, for further analyses, please.

Comment 12 andrew 2014-08-14 20:10:44 UTC
Mila,
 i'm terribly sorry for not updating the bug with the requested information. 
Here it is :
> ... How do you configure the DAVMail addressbook in Evolution, if I recall correctly, then it is provided as WebDAV, right?
it's type "CalDav". url is http://localhost:1080/users/Andrew_ZZZZZ@XXX.YYY.com/calendar/

> .. By any chance, can you reproduce the crash?
well, i sort of , learned to avoid it by restarting evolution and restarting the WebDav. Actually, since the new version came up i don't remember it crashing. But let me try to crash it.

Valgrind - i usually start the Evolution by clicking a big button on the Launcher and then hit the "Address book" from the evolution.
let me try doing just adr. book and see if/when it crashes .

Comment 13 andrew 2014-08-22 16:31:06 UTC
how to reproduce:
 start new mail. Go into Address Book.
type the name. Wait for the results. Select one.
start new search, while its filtering the results, start deleting the characters in the searched name. 
Example:
 i'm searching for "Andrew".
 i type "Andrew" and while it's pulling all "Andrews", i'm removing "w" and "e". that, aparently causes the evolution to crash.

Comment 14 andrew 2014-08-22 16:32:41 UTC
Created attachment 929698 [details]
requested log for valgrind

Comment 15 andrew 2014-08-22 16:34:56 UTC
Created attachment 929710 [details]
davmail.log

Comment 16 andrew 2014-08-22 16:40:34 UTC
i restarted evolution (closed it and started after running valgrind).
Here is the fresh log.txt.

But i have to note that it's workign this time around.
hmmm. 
When i type the name and immeditely remove it  DavMail pops up with "insufficient data" error.
I'll let evolution run over the wknd and see if i can reproduce error again.

Comment 17 andrew 2014-08-22 16:41:11 UTC
Created attachment 929711 [details]
fresh run . No failure during the search.

Comment 18 andrew 2014-08-22 16:41:47 UTC
Created attachment 929712 [details]
corresponding davmail log.

Comment 19 Milan Crha 2014-09-01 12:27:00 UTC
Thanks for the update. As far as I can tell, you've configured an LDAP book which connects to a DavMail instance. The davmail.log proves that. Even you do not have installed debuginfo packages, then the valgrind log shows issues in an LDAP backend too. Due to the description and the details, I believe you face the same issue as bug #1134035. I will backport the upstream fix to Fedora 20 for the time being (before Fedora 21 will be released).

*** This bug has been marked as a duplicate of bug 1134035 ***

Comment 20 andrew 2014-09-02 15:11:49 UTC
this will be great. Thank you Milan.

I'm not sure if this is somehow related, but the calendar will NOT allow me to make any modificaitons to it. For example i can't create a meeting request. But if i create a meeting in the Outlook ( on Mac laptop) im able to see that meeting in the Evolution.

Comment 21 Milan Crha 2014-09-03 06:30:19 UTC
(In reply to andrew from comment #20)
> I'm not sure if this is somehow related, but the calendar will NOT allow me
> to make any modificaitons to it.

It is not related to this issue, calendar is a different issue. There was this problem earlier, which might be addressed with 3.13.4 development version of evolution-data-server, which will be part of 3.14.0, to be released in spring 2015.


Note You need to log in before you can comment on or make changes to this bug.